Bug 209890 - matplotlib doesn't work with numpy
Summary: matplotlib doesn't work with numpy
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-07 15:04 UTC by Charles V Wright
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 17:18:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles V Wright 2006-10-07 15:04:06 UTC
Description of problem:
Importing matplotlib's pylab interface fails when matplotlib is set to use numpy
in its config file.

Version-Release number of selected component (if applicable):
python-matplotlib-0.87.6-1.fc6

How reproducible:
always

Steps to Reproduce:
1. run python
2. from numpy import *
3. from pylab import *
  
Actual results:
[charles@localhost ~]$ python
Python 2.4.3 (#1, Oct  1 2006, 18:00:19)
[GCC 4.1.1 20060928 (Red Hat 4.1.1-28)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from numpy import *
>>> from pylab import *
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/pylab.py", line 1, in ?
    from matplotlib.pylab import *
  File "/usr/lib/python2.4/site-packages/matplotlib/pylab.py", line 197, in ?
    import cm
  File "/usr/lib/python2.4/site-packages/matplotlib/cm.py", line 5, in ?
    import colors
  File "/usr/lib/python2.4/site-packages/matplotlib/colors.py", line 33, in ?
    from numerix import array, arange, take, put, Float, Int, where, \
  File "/usr/lib/python2.4/site-packages/matplotlib/numerix/__init__.py", line
145, in ?
    __import__('fft', g, l)
  File "/usr/lib/python2.4/site-packages/matplotlib/numerix/fft/__init__.py",
line 11, in ?
    from numpy.dft.old import *
ImportError: No module named old


Expected results:
The import should succeed silently, and then it should be ready to graph things
using numpy's array implementation.

Additional info:
Matplotlib works when I set "numerix : numarray" in the config file instead of
"numerix : numpy" and import numarray instead of numpy.

Comment 1 Orion Poplawski 2006-10-09 17:18:42 UTC
Numarray is still the prefered numerix package for matplotlib in Fedora.  As
John Hunter stated in the matplotlib development list:

 numpy has been a bit of a moving target of late, and typically the
 latest release of mpl works with the latest release of numpy, and mpl
 svn works with numpy svn, but you can't mix and match.  Hopefully this
 will stabilize soon.
 

This version of matplotlib requires the latest version of numpy (I think
1.0rc2).  You might pester the numpy maintainer to update numpy, but I'm not
sure what any other concerns about updating numpy might be.

Comment 2 Charles V Wright 2006-10-14 19:19:52 UTC
OK, thanks for the response Orion.  I'll keep an eye out for new versions of
numpy in Extras.


Note You need to log in before you can comment on or make changes to this bug.